Bug 23693 - Postgresql SRPM wont rebuild (pgaccess)
Summary: Postgresql SRPM wont rebuild (pgaccess)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: postgresql   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-10 06:17 UTC by Andrew Bartlett
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-11 14:51:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew Bartlett 2001-01-10 06:17:57 UTC
The Rawhide Posgresql SRPM wont rebuild, becouse pgaccess/pgaccess got
changed to pgaccess/pgaccess.sh 

This causes install not to find the file, and the rebuild to fail.

Comment 1 Trond Eivind Glomsrxd 2001-01-10 15:51:21 UTC
I just rebuilt it, without problems... which SRPM were you using?

Comment 2 Andrew Bartlett 2001-01-10 21:56:46 UTC
postgresql-7.0.3-3.src.rpm built (according to the SRPM) on 2-Jan-2001 and
downloaded from mirror.aarnet.edu.au/redhat/rawhide/SRPMS/SRPMS (.au access
only).

Comment 3 Trond Eivind Glomsrxd 2001-01-10 23:59:01 UTC
I just rebuilt that one - no problems whatsoever.

Comment 4 Andrew Bartlett 2001-01-11 00:19:14 UTC
Can I get the MD5 for that package?  I get 
0fd32eaee344146df57ed0039f5bd22d  postgresql-7.0.3-3.src.rpm

I can also see that the file src/bin/pgaccess/pgaccess is named pgaccess.sh and
that the spec file looks for pgaccess/pgaccess when running install.

I honestly can't see why I won't work for me!  And I can't see how the '.sh'
automactily dissapers for you, as thats how it is in the archive!

Comment 5 Andrew Bartlett 2001-01-11 00:53:04 UTC
Note:  Postgresql complains that I don't have tk installed during (i think) the
configure stage, and just continues regardless.  Should this be listed as a
buildrequires?  

On further inspection of the Makefile, pgaccess is a generated file and only
gets generated if the tk support is compiled.  So it seems that tk should be
listed as a Build Requriement.  
(The configure message is: configure: warning: TK support disabled; Tk
configuration script missing)

Comment 6 Trond Eivind Glomsrxd 2001-01-11 14:51:13 UTC
Same md5 sum.... you're right about tk, I'll add that as a build requirement

Comment 7 Trond Eivind Glomsrxd 2001-01-11 16:25:44 UTC
Done - please try  postgresql-7.0.3-4, coming soon to a Rawhide near you.


Note You need to log in before you can comment on or make changes to this bug.